const Videox = require('.')

let pageUrl = 'https://www.bilibili.com/video/BV13D4y1o7rj'

;(async () => {
  const videox = new Videox({
    debug: false,
    downloadBrowser: false,
    logTo: process.stdout,
    downloadAsFile: true,
    downloadPath: 'download',
    outVideoStream: null,
    outAudioStream: null,
  })

  await videox.init()

  await videox.get(pageUrl)

  await videox.destroy()
})()
